CDN77 API reference

Copy Object

To copy an object, use PUT and specify a destination bucket and the object name.

PUT /{dest-bucket}/{dest-object} HTTP/1.1
x-amz-copy-source: {source-bucket}/{source-object}
Host: {region}.cdn77-storage.com

Request Headers

NameDescription
x-amz-copy-sourcerequirednone

The source bucket name + object name. Format: {bucket}/{obj}

x-amz-aclnone

A canned ACL - private, public-read, public-read-write, authenticated-read

x-amz-copy-if-modified-sincenone

Copies only if modified since the set timestamp.

x-amz-copy-if-unmodified-sincenone

Copies only if unmodified since the set timestamp.

x-amz-copy-if-matchnone

Copies only if object ETag matches set ETag.

x-amz-copy-if-none-matchnone

Copies only if object ETag doesn't match.

Response Entities

NameDescription
CopyObjectResultnone

A container for the response elements.

LastModifiednone

The last modified date of the source object.

Etagstring

The ETag of the new object.

Updated on 10th September, 2024